Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class PreferenceSetImpl

    java.lang.Object
      org.jasig.portal.container.om.common.PreferenceSetImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.common.PreferenceSet, org.apache.pluto.om.common.PreferenceSetCtrl, org.apache.pluto.om.Controller, org.apache.pluto.om.Model

    public class PreferenceSetImpl

extends java.lang.Object
implements org.apache.pluto.om.common.PreferenceSet, org.apache.pluto.om.common.PreferenceSetCtrl, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.6 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`(package private) java.lang.ClassLoader` | `classLoader`
`(package private) java.util.Map` | `preferences`
`(package private) javax.portlet.PreferencesValidator` | `validator`
`(package private) java.lang.String` | `validatorClassName`

Constructor Summary
`PreferenceSetImpl()`

Method Summary
`org.apache.pluto.om.common.Preference` | `add(java.lang.String name, java.util.List values)`
`org.apache.pluto.om.common.Preference` | `add(java.lang.String name, java.util.List values, boolean readOnly)`
`void` | `addAll(org.apache.pluto.om.common.PreferenceSet preferences)`
`void` | `clear()`
`org.apache.pluto.om.common.Preference` | `get(java.lang.String name)`
`javax.portlet.PreferencesValidator` | `getPreferencesValidator()`
`java.util.Iterator` | `iterator()`
`void` | `remove(org.apache.pluto.om.common.Preference preference)`
`org.apache.pluto.om.common.Preference` | `remove(java.lang.String name)`
`void` | `setClassLoader(java.lang.ClassLoader classLoader)`
`void` | `setPreferencesValidator(javax.portlet.PreferencesValidator validator)`
`void` | `setPreferencesValidator(java.lang.String validatorClassName)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### preferences

    java.util.Map preferences

### validator

    javax.portlet.PreferencesValidator validator

### validatorClassName

    java.lang.String validatorClassName

### classLoader

    java.lang.ClassLoader classLoader

Constructor Detail

### PreferenceSetImpl

    public PreferenceSetImpl()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `org.apache.pluto.om.common.PreferenceSet`

### get

    public org.apache.pluto.om.common.Preference get(java.lang.String name)

  Specified by:
    `get` in interface `org.apache.pluto.om.common.PreferenceSet`

### getPreferencesValidator

    public javax.portlet.PreferencesValidator getPreferencesValidator()

  Specified by:
    `getPreferencesValidator` in interface `org.apache.pluto.om.common.PreferenceSet`

### add

    public org.apache.pluto.om.common.Preference add(java.lang.String name,
                                                     java.util.List values)

  Specified by:
    `add` in interface `org.apache.pluto.om.common.PreferenceSetCtrl`

### remove

    public org.apache.pluto.om.common.Preference remove(java.lang.String name)

  Specified by:
    `remove` in interface `org.apache.pluto.om.common.PreferenceSetCtrl`

### remove

    public void remove(org.apache.pluto.om.common.Preference preference)

  Specified by:
    `remove` in interface `org.apache.pluto.om.common.PreferenceSetCtrl`

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

### setPreferencesValidator

    public void setPreferencesValidator(javax.portlet.PreferencesValidator validator)

### setPreferencesValidator

    public void setPreferencesValidator(java.lang.String validatorClassName)

### clear

    public void clear()

### add

    public org.apache.pluto.om.common.Preference add(java.lang.String name,
                                                     java.util.List values,
                                                     boolean readOnly)

### addAll

    public void addAll(org.apache.pluto.om.common.PreferenceSet preferences)

### size

    public int size()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD